/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.common.dto;

import jp.mosp.common.common.BaseDto;
import jp.mosp.common.dto.HumanBasisDtoInterface;

/**
 * M_KIHON(社員マスター基本部)のDTOクラス。
 */
public class MKihonDto extends BaseDto implements HumanBasisDtoInterface {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= -1199182194566469661L;
	// フィールド
	private String				kcode				= "";
	private String				simei				= "";
	private String				furigana			= "";
	private String				scode				= "";
	private String				ycode				= "";
	private String				tokyu				= "";
	private String				jcode				= "";
	private int					nydate				= 0;
	private int					tsdate				= 0;
	private String				knkubun				= "";
	private String				kykubun				= "";
	private String				txkubun				= "";
	private String				txkubunx			= "";
	private String				kmkubun				= "";
	private String				ptkubun				= "";
	private String				shkubun				= "";
	private String				siwakecd			= "";
	private String				haigusya			= "";
	private int					fuyosu				= 0;
	private double				yukyu				= 0;
	private int					nenrei				= 0;
	private int					kinzoku				= 0;
	private String				kenpono				= "";
	private String				kohono				= "";
	private String				kuser				= "";
	private String				passw				= "";
	private String				email				= "";
	private String				ninsyo				= "";
	private int					datalvl				= 0;
	private int					proglevel			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public MKihonDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return simei 	氏名。
	 */
	public String getSimei() {
		return simei;
	}
	
	/**
	 * @return furigana 	ふりがな。
	 */
	public String getFurigana() {
		return furigana;
	}
	
	/**
	 * @return scode 	所属コード。
	 */
	public String getSCode() {
		return scode;
	}
	
	/**
	 * @return ycode 	役職コード。
	 */
	public String getYCode() {
		return ycode;
	}
	
	/**
	 * @return tokyu 	等級。
	 */
	public String getTokyu() {
		return tokyu;
	}
	
	/**
	 * @return jcode 	事業所コード。
	 */
	public String getJCode() {
		return jcode;
	}
	
	/**
	 * @return nydate 	入社日。
	 */
	public int getNyDate() {
		return nydate;
	}
	
	/**
	 * @return tsdate 	退職日。
	 */
	public int getTsDate() {
		return tsdate;
	}
	
	/**
	 * @return knkubun 	休退職区分。
	 */
	public String getKnKubun() {
		return knkubun;
	}
	
	/**
	 * @return kykubun 	給与区分。
	 */
	public String getKyKubun() {
		return kykubun;
	}
	
	/**
	 * @return txkubun 	税区分。
	 */
	public String getTxKubun() {
		return txkubun;
	}
	
	/**
	 * @return txkubunx 	その他税区分。
	 */
	public String getTxKubunx() {
		return txkubunx;
	}
	
	/**
	 * @return kmkubun 	組合区分。
	 */
	public String getKmKubun() {
		return kmkubun;
	}
	
	/**
	 * @return ptkubun 	パート区分。
	 */
	public String getPtKubun() {
		return ptkubun;
	}
	
	/**
	 * @return shkubun 	支払区分。
	 */
	public String getShKubun() {
		return shkubun;
	}
	
	/**
	 * @return siwakecd 	仕訳集計コード。
	 */
	public String getSiwakeCd() {
		return siwakecd;
	}
	
	/**
	 * @return haigusya 	扶養配偶者。
	 */
	public String getHaigusya() {
		return haigusya;
	}
	
	/**
	 * @return fuyosu 	扶養家族数。
	 */
	public int getFuyosu() {
		return fuyosu;
	}
	
	/**
	 * @return yukyu 	有給残。
	 */
	public double getYukyu() {
		return yukyu;
	}
	
	/**
	 * @return nenrei 	年齢。
	 */
	public int getNenrei() {
		return nenrei;
	}
	
	/**
	 * @return kinzoku 	勤続年数。
	 */
	public int getKinzoku() {
		return kinzoku;
	}
	
	/**
	 * @return kenpono 	健保番号。
	 */
	public String getKenpoNo() {
		return kenpono;
	}
	
	/**
	 * @return kohono 	厚保番号。
	 */
	public String getKohoNo() {
		return kohono;
	}
	
	/**
	 * @return kuser 	ユーザ。
	 */
	public String getKUser() {
		return kuser;
	}
	
	/**
	 * @return passw 	パスワード。
	 */
	public String getPassw() {
		return passw;
	}
	
	/**
	 * @return email 	email。
	 */
	public String getEmail() {
		return email;
	}
	
	/**
	 * @return ninsyo 	認証者。
	 */
	public String getNinsyo() {
		return ninsyo;
	}
	
	/**
	 * @return datalvl 	データ権限レベル。
	 */
	public int getDataLvl() {
		return datalvl;
	}
	
	/**
	 * @return proglevel 	プログラム使用権限。
	 */
	public int getProgLevel() {
		return proglevel;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param simei 	セットする氏名。
	 */
	public void setSimei(String simei) {
		this.simei = simei;
	}
	
	/**
	 * @param furigana 	セットするふりがな。
	 */
	public void setFurigana(String furigana) {
		this.furigana = furigana;
	}
	
	/**
	 * @param scode 	セットする所属コード。
	 */
	public void setSCode(String scode) {
		this.scode = scode;
	}
	
	/**
	 * @param ycode 	セットする役職コード。
	 */
	public void setYCode(String ycode) {
		this.ycode = ycode;
	}
	
	/**
	 * @param tokyu 	セットする等級。
	 */
	public void setTokyu(String tokyu) {
		this.tokyu = tokyu;
	}
	
	/**
	 * @param jcode 	セットする事業所コード。
	 */
	public void setJCode(String jcode) {
		this.jcode = jcode;
	}
	
	/**
	 * @param nydate 	セットする入社日。
	 */
	public void setNyDate(int nydate) {
		this.nydate = nydate;
	}
	
	/**
	 * @param tsdate 	セットする退職日。
	 */
	public void setTsDate(int tsdate) {
		this.tsdate = tsdate;
	}
	
	/**
	 * @param knkubun 	セットする休退職区分。
	 */
	public void setKnKubun(String knkubun) {
		this.knkubun = knkubun;
	}
	
	/**
	 * @param kykubun 	セットする給与区分。
	 */
	public void setKyKubun(String kykubun) {
		this.kykubun = kykubun;
	}
	
	/**
	 * @param txkubun 	セットする税区分。
	 */
	public void setTxKubun(String txkubun) {
		this.txkubun = txkubun;
	}
	
	/**
	 * @param txkubunx 	セットするその他税区分。
	 */
	public void setTxKubunx(String txkubunx) {
		this.txkubunx = txkubunx;
	}
	
	/**
	 * @param kmkubun 	セットする組合区分。
	 */
	public void setKmKubun(String kmkubun) {
		this.kmkubun = kmkubun;
	}
	
	/**
	 * @param ptkubun 	セットするパート区分。
	 */
	public void setPtKubun(String ptkubun) {
		this.ptkubun = ptkubun;
	}
	
	/**
	 * @param shkubun 	セットする支払区分。
	 */
	public void setShKubun(String shkubun) {
		this.shkubun = shkubun;
	}
	
	/**
	 * @param siwakecd 	セットする仕訳集計コード。
	 */
	public void setSiwakeCd(String siwakecd) {
		this.siwakecd = siwakecd;
	}
	
	/**
	 * @param haigusya 	セットする扶養配偶者。
	 */
	public void setHaigusya(String haigusya) {
		this.haigusya = haigusya;
	}
	
	/**
	 * @param fuyosu 	セットする扶養家族数。
	 */
	public void setFuyosu(int fuyosu) {
		this.fuyosu = fuyosu;
	}
	
	/**
	 * @param yukyu 	セットする有給残。
	 */
	public void setYukyu(double yukyu) {
		this.yukyu = yukyu;
	}
	
	/**
	 * @param nenrei 	セットする年齢。
	 */
	public void setNenrei(int nenrei) {
		this.nenrei = nenrei;
	}
	
	/**
	 * @param kinzoku 	セットする勤続年数。
	 */
	public void setKinzoku(int kinzoku) {
		this.kinzoku = kinzoku;
	}
	
	/**
	 * @param kenpono 	セットする健保番号。
	 */
	public void setKenpoNo(String kenpono) {
		this.kenpono = kenpono;
	}
	
	/**
	 * @param kohono 	セットする厚保番号。
	 */
	public void setKohoNo(String kohono) {
		this.kohono = kohono;
	}
	
	/**
	 * @param kuser 	セットするユーザ。
	 */
	public void setKUser(String kuser) {
		this.kuser = kuser;
	}
	
	/**
	 * @param passw 	セットするパスワード。
	 */
	public void setPassw(String passw) {
		this.passw = passw;
	}
	
	/**
	 * @param email 	セットするemail。
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	
	/**
	 * @param ninsyo 	セットする認証者。
	 */
	public void setNinsyo(String ninsyo) {
		this.ninsyo = ninsyo;
	}
	
	/**
	 * @param datalvl 	セットするデータ権限レベル。
	 */
	public void setDataLvl(int datalvl) {
		this.datalvl = datalvl;
	}
	
	/**
	 * @param proglevel 	セットするプログラム使用権限。
	 */
	public void setProgLevel(int proglevel) {
		this.proglevel = proglevel;
	}
}
